
Figure - Bug #118670
IOVDEV-32262【内部】【VC1】【100】【台架】【EE环境】【副屏】副屏连中控蓝牙，连接成功多次显示声
音调节进度条
2023-06-08 17:50 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-08

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230602 19 :35

【前提条件】：副屏上电

连接中控时间与副屏时间同步

连接功放

副屏重启时间约20秒

网络连接情况正常

【操作步骤】

1.副屏下电再次上电后，自动连接中控蓝牙

2.连接中控蓝牙成功

【实际结果】

1.副屏下电再次上电后，自动连接中控蓝牙成功，副屏多次显示中控蓝牙连接成功toast提示，多次显示声音调节进度条

【期望结果】

1.副屏下电再次上电后，自动连接中控蓝牙成功，副屏单次显示副屏声音调节进度条

【备注】：

硬件版本号】：

【当前开机次数】：副屏当前开机第187次

【中控版本号】：03.02.0086.C102

【副屏版本号】：01.00.100.c103

IDCM  VIN：HRYTTESTVINMGM402

SN：HRYTTESTVINID0402
History

#1 - 2023-06-09 10:49 - Multimedia组-RD3_TSCD 梁卿山

- Category changed from AUDIO-FW to LC

- Status changed from New to ASSIGNED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD LC 陶洪普

Hi

当前分析：

从获取到的日志看，在该时间段内，蓝牙发生了反复的重连和断开，导致了重复和中控获取音量，出现了音量的UI弹出。

蓝牙断开

000195_manual_00001_230602_081544.log:169:06-02 08:15:45.832  1855  3236 W Avrcp_ext: setActiveDevice call for device 04:7F:0E:5E:8C:2A

000195_manual_00001_230602_081544.log:519:06-02 08:15:45.912  1855  2025 D A2dpService: setActiveDevice: null

000195_manual_00001_230602_081544.log:575:06-02 08:15:45.915  1855  2025 W A2dpService: setActiveDevice(null): previous is 04:7F:0E:5E:8C:2A

000195_manual_00001_230602_081544.log:576:06-02 08:15:45.915  1855  2025 W Avrcp_ext: setActiveDevice call for device null

000195_manual_00001_230602_081544.log:577:06-02 08:15:45.915  1855  2025 D A2dpService:  removeActiveDevice(): forceStopPlayingAudio:  false

000195_manual_00001_230602_081544.log:607:06-02 08:15:45.918  1855  2025 I A2dpService: removeActiveDevice: suppressNoisyIntent = false

000195_manual_00001_230602_081544.log:609:06-02 08:15:45.918  1855  2025 D A2dpService:  removeActiveDevice: BA active false

000195_manual_00001_230602_081544.log:610:06-02 08:15:45.918  1494  2379 D AS.AudioService: idcm_af:a2dp bluetooth state= 0

000195_manual_00001_230602_081544.log:611:06-02 08:15:45.918  1494  2379 D AS.AudioService: idcm_af:setBluetoothConnected: false

000195_manual_00001_230602_081544.log:612:06-02 08:15:45.918  1494  2379 D AudioIDCMicroNegotiator: idcm_af:AudioIDCMicroNegotiator

setBluetoothConnected: false

蓝牙连接

000195_manual_00001_230602_081544.log:1278:06-02 08:15:51.030  1855  2025 D A2dpService: setActiveDevice: 04:7F:0E:5E:8C:2A

000195_manual_00001_230602_081544.log:1310:06-02 08:15:51.033  1855  2025 W A2dpService: setActiveDevice(04:7F:0E:5E:8C:2A): previous is null

000195_manual_00001_230602_081544.log:1312:06-02 08:15:51.033  1855  2025 D A2dpService:  setActiveDevice: BA active false

000195_manual_00001_230602_081544.log:1314:06-02 08:15:51.033  1855  2025 W A2dpService: setActiveDevice coming out of mutex lock

000195_manual_00001_230602_081544.log:1315:06-02 08:15:51.033  1855  2025 I BluetoothA2dpServiceJni: setActiveDeviceNative: sBluetoothA2dpInterface:

0x79f436bcd0

000195_manual_00001_230602_081544.log:1549:06-02 08:15:51.054  1855  2025 D A2dpService: setActiveDevice(04:7F:0E:5E:8C:2A): completed

000195_manual_00001_230602_081544.log:1550:06-02 08:15:51.054  1855  2025 W Avrcp_ext: setActiveDevice call for device 04:7F:0E:5E:8C:2A

000195_manual_00001_230602_081544.log:1554:06-02 08:15:51.055  1855  3236 E Avrcp_ext: Invalid device index for setActiveDevice

000195_manual_00001_230602_081544.log:1594:06-02 08:15:51.063  1494  2390 D AS.AudioService: idcm_af:a2dp bluetooth state= 2

000195_manual_00001_230602_081544.log:1595:06-02 08:15:51.063  1494  2390 D AS.AudioService: idcm_af:setBluetoothConnected: true

000195_manual_00001_230602_081544.log:1596:06-02 08:15:51.063  1494  2390 D AudioIDCMicroNegotiator: idcm_af:AudioIDCMicroNegotiator

setBluetoothConnected: true

蓝牙断开

000195_manual_00001_230602_081544.log:2252:06-02 08:15:52.081  1855  2025 W Avrcp_ext: setActiveDevice call for device null

000195_manual_00001_230602_081544.log:2253:06-02 08:15:52.081  1855  2025 D A2dpService:  removeActiveDevice(): forceStopPlayingAudio:  false

000195_manual_00001_230602_081544.log:2277:06-02 08:15:52.089  1855  2025 I A2dpService: removeActiveDevice: suppressNoisyIntent = false

000195_manual_00001_230602_081544.log:2279:06-02 08:15:52.089  1855  2025 D A2dpService:  removeActiveDevice: BA active false

000195_manual_00001_230602_081544.log:2280:06-02 08:15:52.089  1494  1777 D AS.AudioService: idcm_af:a2dp bluetooth state= 0

000195_manual_00001_230602_081544.log:2281:06-02 08:15:52.089  1494  1777 D AS.AudioService: idcm_af:setBluetoothConnected: false

000195_manual_00001_230602_081544.log:2282:06-02 08:15:52.089  1494  1777 D AudioIDCMicroNegotiator: idcm_af:AudioIDCMicroNegotiator

setBluetoothConnected: false

2025-07-04 2/4



下一步：

请connect组分析一下，蓝牙反复断开连接的问题，谢谢！

#2 - 2023-06-09 10:52 - CD TEST-方永红

- File video(9).mp4 added

#3 - 2023-06-09 14:42 - 短距组_SSRDCNJ 蒋俊杰

当前进展：

logcat中可以看出a2dp连上又断开了，coec设置成AAC，Audioroute已经切换到BT设备了，open应该也成功了，怀疑是a2dp start的过程中fail了，由于没

有HCI日志无法进一步确认问题原因

//a2dp连接成功并active

06-02 08:15:51.025  1855  3253 D A2dpStateMachine: Connection state 04:7F:0E:5E:8C:2A: CONNECTING->CONNECTED

06-02 08:15:51.028  1855  3253 D A2dpStateMachine: A2DP Playing state : device: 04:7F:0E:5E:8C:2A State:PLAYING->NOT_PLAYING

06-02 08:15:51.029  1855  1855 D AdapterProperties: PROFILE_CONNECTION_STATE_CHANGE: profile=2, device=04:7F:0E:5E:8C:2A, 1 -> 2

06-02 08:15:51.029  1855  2025 D BluetoothActiveDeviceManager: handleMessage(MESSAGE_A2DP_ACTION_CONNECTION_STATE_CHANGED): device

04:7F:0E:5E:8C:2A connected

06-02 08:15:51.030  1855  2025 D BluetoothActiveDeviceManager: setA2dpActiveDevice(04:7F:0E:5E:8C:2A)

06-02 08:15:51.055  1855  2025 D A2dpService: broadcastCodecConfig(04:7F:0E:5E:8C:2A):

{mCodecConfig:{codecName:AAC,mCodecType:1,mCodecPriority:2001,mSampleRate:0x1(44100),mBitsPerSample:0x1(16),mChannelMode:0x2(STEREO),mCodecSp

ecific1:0,mCodecSpecific2:0,mCodecSpecific3:0,mCodecSpecific4:0},mCodecsLocalCapabilities:[{codecName:AAC,mCodecType:1,mCodecPriority:2001,mSampleRate:

0x1(44100),mBitsPerSample:0x1(16),mChannelMode:0x2(STEREO),mCodecSpecific1:0,mCodecSpecific2:0,mCodecSpecific3:0,mCodecSpecific4:0},

{codecName:SBC,mCodecType:0,mCodecPriority:1001,mSampleRate:0x1(44100),mBitsPerSample:0x1(16),mChannelMode:0x3(MONO|STEREO),mCodecSpecific1:0,

mCodecSpecific2:0,mCodecSpecific3:0,mCodecSpecific4:0}],mCodecsSelectableCapabilities:[{codecName:AAC,mCodecType:1,mCodecPriority:2001,mSampleRate:0x1

(44100),mBitsPerSample:0x1(16),mChannelMode:0x2(STEREO),mCodecSpecific1:0,mCodecSpecific2:0,mCodecSpecific3:0,mCodecSpecific4:0},

{codecName:SBC,mCodecType:0,mCodecPriority:1001,mSampleRate:0x1(44100),mBitsPerSample:0x1(16),mChannelMode:0x3(MONO|STEREO),mCodecSpecific1:0,

mCodecSpecific2:0,mCodecSpecific3:0,mCodecSpecific4:0}]}

06-02 08:15:51.084   806   884 D a2dp_offload:  Open A2DP source start 

06-02 08:15:51.084   806   884 D a2dp_offload: calling BT stream open

06-02 08:15:51.084   806   884 I btaudio_offload_qti_2_1: audio_stream_open_qti

06-02 08:15:51.084   806   884 I btaudio_offload_qti: audio_stream_open_qti

06-02 08:15:51.084   806   884 I btaudio_offload_qti: a2dp_stream_common_init

06-02 08:15:51.084   806   884 I btaudio_offload_qti: btapoffload_port_init

06-02 08:15:51.084   806   884 I btaudio_offload_qti: audio_stream_open_qti: success

06-02 08:15:51.087   924  4070 I AudioFlinger: openOutput() this 0xb400006ea7414040, module 10 Device type:0x80,@:SUPPRESSED, SamplingRate 8000, Format

0x000003, Channels 0x1, flags 0x1

06-02 08:15:51.087   806  1693 D audio_hw_primary: adev_open_output_stream: Stream (0xeb8ceb00) picks up usecase (compress-offload-playback2)

06-02 08:15:51.143  1870  1870 V MediaRouter: Selecting route: RouteInfo{ name=HiPhiMGM402, description=蓝牙音频, status=null, category=RouteCategory{ name=

系统 types=ROUTE_TYPE_LIVE_AUDIO ROUTE_TYPE_LIVE_VIDEO  groupable=false }, supportedTypes=ROUTE_TYPE_LIVE_AUDIO ,

presentationDisplay=null }

//这里a2dp stop了

06-02 08:15:52.069  1855  1989 W bt_btif : ## ON A2DP STOPPED ##

06-02 08:15:52.069  1855  1989 I BluetoothA2dpServiceJni: bta2dp_connection_state_callback

//l2cap断开

06-02 08:15:52.076  1855  2949 W bt_l2cap: L2CAP - LCID: 0x0051  st: W4_L2CAP_DISC_RSP  evt: PEER_DISCONNECT_RSP

06-02 08:15:52.076  1855  2949 I bt_snoop: L2CAP channel is closed: handle=2(0x2), lcid=81(0x51), rcid=76(0x4c)

06-02 08:15:52.076  1855  1989 D bt_btif : btif_rc_handler: event: BTA_AV_RC_CLOSE_EVT

2025-07-04 3/4



//a2dp断开

06-02 08:15:52.077  1855  1855 I BluetoothPhonePolicy: processProfileStateChanged, device=04:7F:0E:5E:8C:2A, profile=2, 2 -> 0

06-02 08:15:52.077  1855  2025 D BluetoothActiveDeviceManager: handleMessage(MESSAGE_A2DP_ACTION_CONNECTION_STATE_CHANGED): device

04:7F:0E:5E:8C:2A disconnected

06-02 08:15:52.078  1855  2025 D BluetoothActiveDeviceManager: setA2dpActiveDevice(null)

下一步：

建议补充完整的蓝牙log，包含logcat+HCI日志+问题时间点录屏

#4 - 2023-06-14 16:28 - CD LC 陶洪普

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD LC 陶洪普 to CD TEST-方永红

已更新到JIRA

#5 - 2023-07-17 16:45 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

客户回复：副屏无连接中控蓝牙的需求，此类问题之前攻关会决议无实际应用场景不解决

#6 - 2023-07-17 16:45 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#7 - 2023-07-17 16:46 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

tlog_iov0201017500006162025411a2212290000000981_000195_0602081647.tar.gz24.8 MB 2023-06-08 CD TEST-方永红

video(9).mp4 4.63 MB 2023-06-09 CD TEST-方永红
